Summary:   A Nagios plugin to check Dell blade enclosures
Name:      check_dell_bladechassis
Version:   1.0.0
Release:   1%{?dist}
License:   GPL
Packager:  Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>
Group:     Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL:       http://folk.uio.no/trondham/software/%{name}.html
Source0:   http://folk.uio.no/trondham/software/%{name}-%{version}.tar.gz

Requires: perl

%description
check_dell_bladechassis is a plugin for the Nagios monitoring
software which checks the hardware health of Dell blade enclosures via
SNMP. The plugin supports both the new M1000e enclosure and the old
1855/1955 enclosures.


%prep
%setup -q

%build
gzip %{name}.3pm
mkdir -p %{buildroot}/%{_libdir}/nagios/plugins/contrib
mkdir -p %{buildroot}/%{_mandir}/man3

%install
install -d -m 0755 %{buildroot}/%{_libdir}/nagios/plugins/contrib
install -m 0755 %{name} %{buildroot}/%{_libdir}/nagios/plugins/contrib
install -m 0755 %{name}.3pm.gz %{buildroot}/%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_libdir}/nagios/plugins/contrib/%{name}
%attr(0755, root, root) %{_mandir}/man3/%{name}.3pm.gz


%changelog
* Tue Aug  4 2009 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.0.0-1
- Initial release 1.0.0
